summaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/rng-tools
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2017-06-15 15:21:42 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2017-06-16 10:58:25 +0100
commit653704e9cf325cb494eb23facca19e9f05132ffd (patch)
treee0dccc9d5bf3b679257c905748fa269268d281e6 /meta/recipes-support/rng-tools
parent07f6c0b464f0671bc39116317138e4ddf27bdae9 (diff)
downloadopenembedded-core-653704e9cf325cb494eb23facca19e9f05132ffd.tar.gz
openembedded-core-653704e9cf325cb494eb23facca19e9f05132ffd.tar.bz2
openembedded-core-653704e9cf325cb494eb23facca19e9f05132ffd.zip
meta: Drop remnants of uclibc support
uclibc support was removed a while ago and musl works much better. Start to remove the various overrides and patches related to uclibc which are no longer needed. uclibc support in a layer would still be possible. I have strong reasons to believe nobody is still using uclibc since patches are missing and I doubt the metadata even parses anymore. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-support/rng-tools')
-rw-r--r--meta/recipes-support/rng-tools/rng-tools/uclibc-libuargp-configure.patch63
-rw-r--r--meta/recipes-support/rng-tools/rng-tools_5.bb3
2 files changed, 0 insertions, 66 deletions
diff --git a/meta/recipes-support/rng-tools/rng-tools/uclibc-libuargp-configure.patch b/meta/recipes-support/rng-tools/rng-tools/uclibc-libuargp-configure.patch
deleted file mode 100644
index e691315d16..0000000000
--- a/meta/recipes-support/rng-tools/rng-tools/uclibc-libuargp-configure.patch
+++ /dev/null
@@ -1,63 +0,0 @@
-In case of uclibc, use libuargp
-
-If we use uclibc for system libraries, select libuargp
-
-Upstream-Status: Pending
-
-Signed-off-by: Maxin B. John <maxin.john@intel.com>
----
-diff -Naur rng-tools-5-orig/configure.ac rng-tools-5/configure.ac
---- rng-tools-5-orig/configure.ac 2016-02-24 18:11:24.023690235 +0200
-+++ rng-tools-5/configure.ac 2016-02-24 18:14:49.763118138 +0200
-@@ -39,6 +39,13 @@
- [with_libargp=check]
- )
-
-+AC_ARG_ENABLE([uclibc],
-+ AS_HELP_STRING([--enable-uclibc], [Use uclibc for system libraries]),
-+ use_uclibc=yes, use_uclibc=no)
-+AM_CONDITIONAL(USE_UCLIBC, test "x$use_uclibc" = "xyes")
-+AS_IF([test "x$use_uclibc" = "xyes"], [AC_DEFINE(USE_UCLIBC)])
-+AH_TEMPLATE([USE_UCLIBC], [Defined if uclibc libraries are used.])
-+
- dnl Make sure anyone changing configure.ac/Makefile.am has a clue
- AM_MAINTAINER_MODE
-
-@@ -101,7 +108,7 @@
- [need_libargp=no],
- [need_libargp=yes
- if test "x$with_libargp" = "xno"; then
-- AC_MSG_FAILURE([libargp disabled and libc does not have argp])
-+ AC_MSG_WARN([libargp disabled and libc does not have argp])
- fi]
- )
- ],
-@@ -110,7 +117,7 @@
-
- dnl Check for libargp
- AS_IF(
-- [test "x$need_libargp" = "xyes"],
-+ [test "x$need_libargp" = "xyes" -a "x$use_uclibc" = "xno"],
- [
- AC_CHECK_LIB(
- [argp],
-@@ -120,6 +127,19 @@
- )
- ]
- )
-+
-+dnl Check for libuargp
-+AS_IF(
-+ [test "x$use_uclibc" = "xyes"],
-+ [
-+ AC_CHECK_LIB(
-+ [uargp],
-+ [argp_parse],
-+ [LIBS="$LIBS -luargp"],
-+ [AC_MSG_FAILURE([libuargp not found])]
-+ )
-+ ]
-+)
-
- dnl -----------------
- dnl Configure options
diff --git a/meta/recipes-support/rng-tools/rng-tools_5.bb b/meta/recipes-support/rng-tools/rng-tools_5.bb
index e2acaba91a..de6e5f9a76 100644
--- a/meta/recipes-support/rng-tools/rng-tools_5.bb
+++ b/meta/recipes-support/rng-tools/rng-tools_5.bb
@@ -6,7 +6,6 @@ SRC_URI = "${SOURCEFORGE_MIRROR}/gkernel/${BP}.tar.gz \
file://0001-If-the-libc-is-lacking-argp-use-libargp.patch \
file://0002-Add-argument-to-control-the-libargp-dependency.patch \
file://underquote.patch \
- file://uclibc-libuargp-configure.patch \
file://rng-tools-5-fix-textrels-on-PIC-x86.patch \
file://init \
file://default"
@@ -25,9 +24,7 @@ inherit autotools update-rc.d
PACKAGECONFIG = "libgcrypt"
PACKAGECONFIG_libc-musl = "libargp"
-PACKAGECONFIG_libc-uclibc = "libuargp"
PACKAGECONFIG[libargp] = "--with-libargp,--without-libargp,argp-standalone,"
-PACKAGECONFIG[libuargp] = "--enable-uclibc,,,"
PACKAGECONFIG[libgcrypt] = "--with-libgcrypt,--without-libgcrypt,libgcrypt,"
do_install_append() {